#!/usr/bin/env python
# -*- coding: utf-8 -*-

## Tivion
## Copyright (C) 2009 Ángel Guzmán Maeso
## http://shakaran.es
##
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <http://www.gnu.org/licenses/>.

CHANNEL_VERSION = '1252493830' # Total channels 346

import countries as co

### List of channels 
# Do you have a new channel? Do you want to add? or some channel is broken?
# Send me an email to shakaran at gmail dot com and add/fix it with pleasure
CHANNEL = [ # Note: Channel 0 is reserved!
            ## Spain ## 56
            ['1', co.es_ES, 'La 1 - TVE - HD', 'FILMON23'],
            # http://79.125.47.119/rtve?auth=b814ab9dfca5a83ef9187a1aed60ba4d
            ['2', co.es_ES, 'La 1 - TVE LoSp', 'FILMON53'],
            # http://79.125.47.119/rtve_ls?auth=31b3e9148bfdd951671fb9e97a575dce
            ['3', co.es_ES, '24 horas', 'http://195.10.10.103:80/rtve/24h.flv'],
            ['4', co.es_ES, 'Nova', 'http://195.10.10.103:80/antena3/nova.asf'],
            ['5', co.es_ES, 'Intereconomía', 'mms://www.intereconomia.com/INTERECONOMIA-TV'],
            ['6', co.es_ES, 'Canal Sur', 'http://andaluciatelevision.rtva.stream.flumotion.com/rtva/andaluciatelevision.flv.m3u'],
            # http://195.10.10.209:80/rtva/andaluciatelevision.flv'],
            # http://195.10.10.215:80/rtva/andaluciatelevision.flv
            ['7', co.es_ES, 'Extremadura', 'http://195.10.10.214:80/extremaduratv/live1_600.flv'],
            # http://live1.extremaduratv.stream.flumotion.com/extremaduratv/live1_600.flv.m3u
            ['8', co.es_ES, 'A3 Noticias 24h (slow)', 'http://199.93.35.37/antena3wmlive-live/canal24h?MSWMExt=.asf'],
            # mms://antena3livewm.fplive.net/antena3wmlive-live/canal24h
            # http://199.93.35.37:80/antena3wmlive-live/canal24h?MSWMExt=.asf
            # http://199.93.35.37/antena3wmlive-live/canal24h?MSWMExt=.asf
            # http://antena3livewm.fplive.net/antena3wmlive-live/canal24h?MSWMExt=.asf
            ['9', co.es_ES, 'Neox 8 (slow)', 'http://195.55.74.101:80/antena3/neox.asf'],
            # http://neox.stream.flumotion.com/antena3/neox.asf.asx
            ['10', co.es_ES, 'Canal Parlamento (slow)', 'mms://stream2.terra.es/wm2live1'],
            # http://10.20.38.13:80/wm2live1?MSWMExt=.asf 
            # http://stream2.terra.es/wm2live1?MSWMExt=.asf
            ['11', co.es_ES, 'A3 Internacional (slow)', 'http://206.33.32.19:80/antena3wmlive-live/canalinternacional?MSWMExt=.asf'],
            # mms://antena3livewm.fplive.net/antena3wmlive-live/canalinternacional
            # http://antena3livewm.fplive.net/antena3wmlive-live/canalinternacional?MSWMExt=.asf
            ['12', co.es_ES, 'CNN+', 'http://90.84.49.102:80/D/1808/15716/v0001/reflector:39807?MSWMExt=.asf'],
            # mms://a1808.l1571639807.c15716.e.lm.akamaistream.net/D/1808/15716/v0001/reflector:39807
            # http://a1808.l1571639807.c15716.e.lm.akamaistream.net/D/1808/15716/v0001/reflector:39807?MSWMExt=.asf
            ['13', co.es_ES, 'ATEI (slow)', 'http://calixto.c.mad.interhost.com/radioatei'],
            ['14', co.es_ES, 'Almansa TV (slow)', 'http://89.29.128.6:7007/'],
            ['15', co.es_ES, 'Aragon TV', 'http://195.10.10.215:80/tvaragon/live.asf'],
            ['16', co.es_ES, 'Ojos Solidarios TV', 'mms://wm.mad.interhost.com/OjosSolidariosTv'], # Canal 13 Digital (Las Palmas de Gran Canaria )
            ['17', co.es_ES, 'Duson TV (slow)', 'mms://antena.fundaciongoldenclover.com/live'], # Medicina Natural
            ['18', co.es_ES, 'ETB Sat', 'mms://a217.l881320216.c8813.e.lm.akamaistream.net/D/217/8813/v0001/reflector:20216'],
            ['19', co.es_ES, 'Fuego TV', 'mms://rcri2.com/fuegotv'],
            ['20', co.es_ES, 'IB3 TV', 'mms://streamingtv01.ib3.es/ib3tv_en_directe'],
            ['21', co.es_ES, 'Localia-Huesca', 'mms://streaming.wdreams.com/localiatv'],
            ['22', co.es_ES, 'Madrid (DGT)', 'mms://stream2.terra.es/wm2live2'],
            ['23', co.es_ES, 'Radio Televisión Insular', 'mms://wagner.serveisweb.com/TI013'], #RTI o RTV Insular o RTI Gran Canaria
            ['24', co.es_ES, 'Teleasturias', 'mms://DWS28.dinaserver.com/directo'],
            ['25', co.es_ES, 'Telebahia', 'mms://stream.visualnetworks.es/str059'],
            ['26', co.es_ES, 'TV Ferrol', 'http://stream.visualnetworks.es:3840/tvf'],
            ['27', co.es_ES, 'Teletaxi', 'mms://88.87.218.43/teletaxitv'],
            ['28', co.es_ES, 'TV Canaria', 'mms://wm.gobiernodecanarias.org/tvctdt'],
            ['29', co.es_ES, 'TV Martí', 'mms://a165.1211035484.c2110.g.lm.akamaistream.net/D/165/2110/v0001/reflector:35484'],
            ['30', co.es_ES, 'TV Segovia', 'mms://video.ono.com/tvcyl_tvsg'],
            ['31', co.es_ES, 'Velevisa', 'mms://212.163.215.206/Directo'],
            ['32', co.es_ES, 'Videncia TV', 'mms://verdi.serveisweb.com/AT018'],
            ['33', co.es_ES, 'Cervantes TV', 'mms://193.146.5.220/Cervantes_tv'], 
            ['34', co.es_ES, 'Mundo mágico TV', 'mms://verdi.serveisweb.com/AT018'], 
            ['35', co.es_ES, 'TVCI HD', 'mms://i2catvserver.i2cat.net/TVC_inter'],
            ['36', co.es_ES, 'Canal Noticias Huelva', 'mms://video.ono.com/cnh'], #CNH
            ['37', co.es_ES, 'CRTVG Galicia', 'mms://85.91.64.23/Television'],
            ['38', co.es_ES, 'Ejido TV', 'mms://bach.serveisweb.com/EJ002'],
            ['39', co.es_ES, 'Estepona TV', 'mms://216.66.84.2/237461'],
            ['40', co.es_ES, 'Estrada TV', 'mms://82.223.149.58/estradatelevision'],
            ['41', co.es_ES, 'STV Rioja', 'mms://www.riojasintonia.com/stv'],
            ['42', co.es_ES, 'TeleAsturias TV', 'mms://DWS28.dinaserver.com/directo'],
            ['43', co.es_ES, 'TeleTrébol', 'mms://streaming.alisys.net/rsa_tv?.wma'],
            ['44', co.es_ES, 'TVMas (Maspalomas)', 'mms://win.1.c3.audiovideoweb.com/1c3winlive6808'],
            ['45', co.es_ES, 'TVVi', 'mms://hechicera.cap.gva.es/tvvi?rtvv'],
            ['46', co.es_ES, 'Universidad Rey Juan Carlos', 'mms://marx.urjc.es/urjc'], #URJC
            ['47', co.es_ES, 'Universidad de Vigo', 'mms://193.146.209.50/directo'], 
            ['48', co.es_ES, 'Velevisa TV - Velez-Málaga', 'mms://212.163.215.206/Directo'], 
            ['53', co.es_ES, 'Cetelmon TV', 'mms://wagner.serveisweb.com/CE027'],
            ['49', co.es_ES, 'R - Cadena SER Motril', 'http://217.125.82.196:4556'], # --crop=16:9 --aspect-ratio=16:9
            ['50', co.es_ES, 'R - RNE Radio 1', 'mms://a259.l773120483.c7731.e.lm.akamaistream.net/D/259/7731/v0001/reflector:20483'], # --crop=16:9 --aspect-ratio=16:9
            #[FIXME]IMG but no sound['30', en_GB, 'Radio Marca', 'mms://reflector.radiomarca.com:9004'], # --crop=16:10 --aspect-ratio=16:9
            ['51', co.es_ES, 'R - COPE', 'http://83.231.187.202:80/cope/copefm.asf'], # --crop=16:9 --aspect-ratio=16:9
            ['52', co.es_ES, 'R - OndaCero Madrid', 'mms://ondacerolivewm.fplive.net/ondacerowmlive-live/oc_convencional'], # --crop=16:9 --aspect-ratio=16:9
            ['53', co.es_ES, 'R - Punto Radio', 'http://www.puntoradio.com/streaming/puntoradio.pls'], # --crop=16:9 --aspect-ratio=16:9
            ['54', co.es_ES, 'R - RTV Amistad', 'mms://markoni.netpatio.com/rtvamistad/rtvamistad'],
            ['55', co.es_ES, 'Vaughan Radio - PLS', 'http://server00.streaming-pro.com/castcontrol/castcontrol/playlist.php?id=4&type=pls'], # ovh.net
            #[FIXME] Stream not seekable! Totem works well.['56', co.es_ES, 'Vaughan Radio - PLS and RAM (Proxy)', 'http://server03.streaming-pro.com/CLUSTER/castcontrol/proxy.php?id=7'], # ovh.net
            # http://server00.streaming-pro.com/castcontrol/castcontrol/playlist.php?id=4&type=pls&proxy=true
            #[FIXME] Stream not seekable!['57', co.es_ES, 'Vaughan Radio - ASX', 'http://server00.streaming-pro.com/castcontrol/castcontrol/playlist.php?id=4&type=asx'], # ovh.net
            ['56', co.es_ES, 'Vaughan Radio - ASX (Proxy)', 'http://server03.streaming-pro.com/CLUSTER/castcontrol/proxy.php?wmp=true&id=7'], # ovh.net
            # http://server00.streaming-pro.com/castcontrol/castcontrol/playlist.php?id=4&type=asx&proxy=true
            #[FIXME] Stream not seekable!['59', co.es_ES, 'Vaughan Radio - RAM', 'http://server00.streaming-pro.com/castcontrol/castcontrol/playlist.php?id=4&type=ram'], # ovh.net
            #['60', co.es_ES, 'Vaughan Radio - RAM (Proxy)', 'http://server00.streaming-pro.com/castcontrol/castcontrol/playlist.php?id=4&type=ram&proxy=true'], # ovh.net
            #http://server03.streaming-pro.com/CLUSTER/castcontrol/proxy.php?id=7
            
            ## United States ## 53
            ['80', co.en_US, 'Asian small-clawed Otters Cam', 'mms://160.111.143.151/ao'],
            ['80', co.en_US, 'Barn Owl Cam [California]', 'mms://puffin.audubon.org/wmtencoder/starrranchhumming.wmv'],
            ['80', co.en_US, 'Cheetah Cam', 'mms://NZPWMserver1.si.edu/cheetah1'],
            ['80', co.en_US, 'City of Tampa Television', 'mms://cttv.tampagov.net/cttv'],
            ['80', co.en_US, 'Coral Gables Television', 'mms://216.242.214.8/cocgtvlive'],
            ['80', co.en_US, 'CTNi', 'mms://169.130.151.126/ctni'],
            ['80', co.en_US, 'CTVN', 'mms://quickstudy.wmlive.internapcdn.net/live_quickstudy_vitalstream_com_cornerstoneTv'],
            ['80', co.en_US, 'e-Gov-DBTv', 'mms://stream.codb.us/ch99'],
            ['80', co.en_US, 'Ferret Cam', 'mms://NZPWMserver1.si.edu/bff'],
            ['80', co.en_US, 'Florida Beach Cam', 'mms://24.214.233.60/beach'],
            ['80', co.en_US, 'Golden Lion Tamarin Cam', 'mms://NZPWMserver1.si.edu/glt'],
            ['80', co.en_US, 'Gorilla Cam', 'mms://nzpmedia1.si.edu/gorilla'],
            ['80', co.en_US, 'Hog\'s Breath Saloon Cam', 'mms://floridakeysmedia.com/hogsbarcam'],
            ['80', co.en_US, 'Home Shopping Network', 'mms://wm-live.z1.mii-streaming.net/live/hsn/hsnlive'],
            ['80', co.en_US, 'Home Shopping Network [HSN]', 'mms://live.hsn.com/live/hsn/hsnlive'],
            ['80', co.en_US, 'Kiwi Chick Cam', 'mms://NZPWMserver1.si.edu/ke0ed0bc8c'],
            ['80', co.en_US, 'Lion Cam', 'mms://160.111.143.151/lion'],
            ['80', co.en_US, 'MicroTheatre Cam', 'mms://NZPWMserver1.si.edu/mt'],
            ['80', co.en_US, 'Octopus Cam', 'mms://NZPWMserver1.si.edu/octopus'],
            ['80', co.en_US, 'Olelo Focus 49 [Hawaii]', 'mms://207.7.154.95/olelo_focus?wmcache=0'],
            ['80', co.en_US, 'Olelo O\'AHU52 [Hawaii]', 'mms://207.7.154.95/olelo_oahu52?wmcache=0'],
            ['80', co.en_US, 'Olelo NATV 53 [Hawaii]', 'mms://207.7.154.95/olelo_natv?wmcache=0'],
            ['80', co.en_US, 'Olelo View 54 [Hawaii]', 'mms://207.7.154.95/olelo_views54?wmcache=0'],
            ['80', co.en_US, 'Orange County TV [Florida]', 'mms://otv.ocfl.net/live'],
            ['80', co.en_US, 'Orangutan Cam', 'mms://NZPWMserver1.si.edu/thinktank'],
            ['80', co.en_US, 'Panama City Pool Cam', 'mms://24.214.233.60/poolwest'],
            ['80', co.en_US, 'Panda Cam', 'mms://160.111.253.227/pandacam1'],
            ['80', co.en_US, 'Panda Cam 2', 'mms://160.111.253.227/pandacam2'],
            ['80', co.en_US, 'Pool Cam', 'mms://24.214.233.60/pooleast'],
            ['80', co.en_US, 'Report on Business TV', 'mms://pbs.wmod.llnwd.net/a1863/e1/general/windows/nbr/nbr_160.wmv'],
            ['80', co.en_US, 'Roswell\'s Government Access TV', 'mms://roswell.ecstreams.com/RoswellLive'],
            ['80', co.en_US, 'Rutherford County Television [TV19 Rutherford Cnty., TN]', 'mms://media1.rutherfordcountytn.gov:1031/live'],
            ['80', co.en_US, 'SGTV [TV199 Seminole Cnty, FL]', 'mms://streaming.seminolecountyfl.gov/live'],
            ['80', co.en_US, 'Sloth Bears Cam', 'mms://160.111.143.151/sb2'],
            ['80', co.en_US, 'Spokane City Cam', 'mms://media.spokanecity.org/100k'],
            ['80', co.en_US, 'Talk Radio Studio Cam [Tennessee]', 'mms://media.americainter.net/wgowenc2'],
            ['80', co.en_US, 'Tele Restauración', 'mms://live1.christianvideochannel.com/jemir'],
            ['80', co.en_US, 'The Aqualand Cam', 'mms://24.214.233.60/waterpark'],
            ['80', co.en_US, 'The Network 125 Internet TV and Video Guide Channel', 'mms://channel125.com/guide'],
            ['80', co.en_US, 'The Online Piano Bar', 'mms://wn71.reliablehosting.com/customer54'],
            ['80', co.en_US, 'Thriller Classics TV', 'mms://85.214.87.175/thriller-tv/rtsp:/85.214.87.175/thriller-tv/rtsp:/85.214.87.175/thriller-tv/rtsp:/85.214.87.175/thriller-tv/video'],
            ['80', co.en_US, 'Tiger Cam', 'mms://nzpmedia1.si.edu/tiger1'],
            ['80', co.en_US, 'TV Knob Movies', 'mms://streams.tvknob.com/tvloops/CH7/tvknob.wsx'],
            ['80', co.en_US, 'TV Marti', 'mms://a165.1211035484.c2110.g.lm.akamaistream.net/D/165/2110/v0001/reflector:35484'],
            ['80', co.en_US, 'Twelve TV', 'mms://a986.l2602438985.c26024.n.lm.akamaistream.net/D/986/26024/v0001/reflector:38985'],
            ['80', co.en_US, 'University of Virginia', 'mms://VIDEO1.itc.virginia.edu/RotundaCam'],
            ['80', co.en_US, 'Wilderness Waterpark', 'mms://66.135.44.65/Wilderness1'],
            ['80', co.en_US, 'WLOX [ABC13 Gulfport/Biloxi, MS]', 'mms://a501.l5671342500.c56713.n.lm.akamaistream.net/D/501/56713/v0001/reflector:42500'],
            ['80', co.en_US, 'Yellowstone Geyser Cam', 'mms://a293.l2717654292.c27176.g.lm.akamaistream.net/D/293/27176/v0001/reflector:54292'],
            ['80', co.en_US, 'DI FM - House', 'http://www.di.fm/mp3/house.pls'],
            ['80', co.en_US, 'Only house music radio (PLS)', 'http://87.117.250.3:9130/listen.pls'],
            ['80', co.en_US, 'Only house music radio (ASX)', 'http://87.117.250.3:9130'],
            #http://www.streamsolutions.co.uk/launch/?server=87.117.250.3&port=9130&type=Shoutcast&file=asx
            
            ## United Kingdom ## 46
            ['54', co.en_GB, 'BBC 1', 'FILMON14'], # --crop=16:10 --aspect-ratio=16:9
            #  http://79.125.47.119/bbc1?auth=65d976cc5ac7b78f5e9b098df927d5aa
            ['55', co.en_GB, 'BBC 1 LoSp', 'FILMON35'], # --crop=16:10 --aspect-ratio=16:9
            #  http://79.125.47.119/bbc1_ls?auth=7f9d5be762f9ae3951a169aeff2a627d
            ['56', co.en_GB, 'BBC 2', 'FILMON25'], # --crop=16:10 --aspect-ratio=16:9
            # 'http://79.125.47.119/bbc2_ls?auth=869b841670c28fe91747e5ba1af7ed13'
            ['41', co.en_GB, 'BBC 2 LoSp', 'FILMON55'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/bbc2_ls?auth=52367436cf413623dd9af0b6254014a4
            ['42', co.en_GB, 'ITV 1', 'FILMON11'], # --crop=16:10 --aspect-ratio=16:9
            #'http://79.125.47.119/itv1?auth=763fe6374a384237bf7041afbef79f47'
            ['43', co.en_GB, 'ITV 1 LoSp', 'FILMON42'], # --crop=16:10 --aspect-ratio=16:9
            #'http://79.125.47.119/itv1_ls?auth=12586d8556b09487ffd4a18e75467df9'
            ['44', co.en_GB, 'Channel 4', 'FILMON02'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/channel4?auth=884aaedf2e47829fc9d9e3cb97581280
            ['45', co.en_GB, 'Channel 4 LoSp', 'FILMON36'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/channel4_ls?auth=0169247e35e8343699e1b6909da0ee73
            ['46', co.en_GB, 'Channel 5', 'FILMON22'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/five?auth=ae578cb33b1e7881bc1f66f4cfcedc61
            ['47', co.en_GB, 'Channel 5 LoSp', 'FILMON52'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/five_ls?auth=2a9328f4a7f1deb11ce73083892bd7db
            # ['X', en_GB, 'ITV 2', 'mms://itvbrdbnd-itv2.wm.llnwd.net/itvbrdbnd_itv2?h=eb85fd5ceb888cfff1630b7b6d02dc06i'], # --crop=16:10 --aspect-ratio=16:9 Not available
            #['X', en_GB, 'ITV 3', 'mms://itvbrdbnd-itv3.wm.llnwd.net/itvbrdbnd_itv3?h=0b73cc338e26a65c89b769771e89525c'], # --crop=16:10 --aspect-ratio=16:9 Not available
            ['48', co.en_GB, 'ITV 4', 'mms://itvbrdbnd-itv4.wm.llnwd.net/itvbrdbnd_itv4?h=68c827f6e0551016d50c30c4b2ad01ae'], # --crop=16:10 --aspect-ratio=16:9
            ['49', co.en_GB, 'Film 4', 'FILMON13'], # --crop=16:10 --aspect-ratio=4:3
            # http://79.125.47.119/film4?auth=39f83649a5d4183d0781650be1cd3736
            ['50', co.en_GB, 'Film 4 LoSp', 'FILMON44'], # --crop=16:10 --aspect-ratio=4:3
            # http://79.125.47.119/film4_ls?auth=2a7c131dc3d1eabe87b6d0ba6df1a16a
            ['51', co.en_GB, 'Zone Horror', 'FILMON19'], # --crop=4:3 --aspect-ratio=4:3
            # http://79.125.47.119/zone_horror?auth=a79c3a89e7a8f6626f9ef1ba45b081a0
            ['52', co.en_GB, 'Zone Horror LoSp', 'FILMON49'], # --crop=4:3 --aspect-ratio=4:3
            # http://79.125.47.119/zone_horror_ls?auth=611d1e387ac48836032be6c01dc645fc
            ['53', co.en_GB, 'BBC XTRAS', 'FILMON26'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/sky-news?auth=73670c3416a48504246044bfaa5764d6
            ['54', co.en_GB, 'BBC XTRAS LoSp', 'FILMON56'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/sky-news_ls?auth=ca28e8bb47918a24f598072d7421907a
            ['55', co.en_GB, 'Eurosport 2', 'FILMON89'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/eurosport2?auth=bab68097441146e5a4f1fe33fdaa731f
            ['56', co.en_GB, 'Eurosport 2 LoSp', 'FILMON90'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/eurosport2_ls?auth=041048e5b94a42f61ba10eca4df96cda
            ##FIXME['30', en_GB, 'Eurosport News', 'http://player.eurosport.fr/playlist.aspx?mode=live&id=6'], # --crop=16:10 --aspect-ratio=16:9
            ['57', co.en_GB, 'Scuzz', 'FILMON59'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/scuzz?auth=7d6c9c00ef842d26b9d53b83950e71c5
            ['58', co.en_GB, 'Scuzz LoSp', 'FILMON61'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/scuzz_ls?auth=1bf0542b1cabd7339718050fbbc3936f
            ['59', co.en_GB, 'Flaunt', 'FILMON60'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/flaunt?auth=2ce5ca0be6ce68a363afed6716080846
            ['60', co.en_GB, 'Flaunt LoSp', 'FILMON58'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/flaunt_ls?auth=6dea9bb7097578d0315e50128e1cfb91
            ['61', co.en_GB, 'Fashion TV', 'FILMON24'], # --crop=16:10 --aspect-ratio=4:3 
            # http://79.125.47.119/fashion_tv?auth=e0d5e3b048008a1012259b111a63df10
            ['62', co.en_GB, 'Fashion TV LoSp', 'FILMON54'], # --crop=16:10 --aspect-ratio=4:3 
            # http://79.125.47.119/fashion_tv_ls?auth=609c1025da6ea743b8709fdef0f8b022
            ['63', co.en_GB, 'BBC Click', 'mms://rmv8.bbc.net.uk/news/olmedia/n5ctrl/tvseq/od/bbc1/bb/wm/video/click_bb.wmv'],
            ['64', co.en_GB, 'BBC Daily Politics', 'mms://rmv8.bbc.net.uk/news/olmedia/n5ctrl/tvseq/od/bbc2/bb/wm/video/daily_pol_bb.wmv'],
            ['65', co.en_GB, 'BBC Panorama', 'mms://rmv8.bbc.net.uk/news/olmedia/n5ctrl/tvseq/od/bbc1/bb/wm/video/panorama_bb.wmv'],
            ['66', co.en_GB, 'BBC Question Time', 'mms://rmv8.bbc.net.uk/news/olmedia/n5ctrl/tvseq/od/bbc1/bb/wm/video/question_bb.wmv'],
            ['67', co.en_GB, 'BBC News 24H', 'http://www.bbc.co.uk/newsa/n5ctrl/tvseq/od/bbc2/nb/wm/video/newsnight_nb.asx'],
            ['68', co.en_GB, 'BBC Newsnight', 'mms://rmv8.bbc.net.uk/news/olmedia/n5ctrl/tvseq/od/bbc2/bb/wm/video/newsnight_bb.wmv'], # Maybe repeat
            ['69', co.en_GB, 'Invincible', 'mms://wm.Astream.net/urban'],
            ['70', co.en_GB, 'MTA 3 Al Arabiyah', 'mms://212.199.206.17/mta-high'],
            ['71', co.en_GB, 'MTA Muslim TV', 'mms://live300k1.wm.muslimtv.servecast.net/MuslimTV_wmlz_live300ken'],
            ['72', co.en_GB, 'QVC', 'mms://a1899.l3277436467.c32774.e.lm.akamaistream.net/D/1899/32774/v0001/reflector:36467'], # --crop=16:9 --aspect-ratio=16:9
            ['73', co.en_GB, 'Sky News', 'mms://live1.wm.skynews.servecast.net/skynews_wmlz_live300k'],
            ['74', co.en_GB, 'TFM Music', 'mms://85.119.217.29/TMFLive'],
            ['74', co.en_GB, 'Eurosport 1 HD', 'mms://195.90.118.25/eurosport1_1'],
            ['74', co.en_GB, 'Eurosport 2 HD', 'mms://195.90.118.25/eurosport2_1'],
            ['74', co.en_GB, 'e4', 'mms://195.90.118.25/e4_1'],
            ['74', co.en_GB, 'BBC 1 HD', 'mms://195.90.118.25/bbc1_1'],
            ['74', co.en_GB, 'Streetclip Tv', 'mms://streetclip.tv:1234/'],
            ['37', co.en_GB, 'Glasgow University Chapel Cam (UK)', 'mms://commsvs1.cent.gla.ac.uk/chapel'], 
            ['37', co.en_GB, 'Glasgow University Chapel Cam (UK)', 'mms://commsvs1.cent.gla.ac.uk/chapel'], 
            ['37', co.en_GB, 'Holiday TV (UK)', 'mms://server3.i2ic.com/iv?channel=16&bandwidth=4&token=fjuncfzJRxmP'], 
            ['37', co.en_GB, 'MTA 3 Int (UK)', 'mms://212.199.206.17/mta-high'], 
            
             ## Italy ## 21
            ['80', co.it_IT, 'RTL', 'mms://151.1.245.36/rtl102.5vs'],
            ['80', co.it_IT, 'Canale 7', 'mms://151.1.245.65/CANALE7'],
            ['80', co.it_IT, 'CBL Film', 'mms://151.1.245.71/cblfilm-live'],
            ['80', co.it_IT, 'Cinquestelle TV', 'mms://iptv.telecard.it/Cinquestelle'],
            ['80', co.it_IT, 'Emy Tv', 'mms://streaming3.arcoiris.tv/vive-adsl'],
            ['80', co.it_IT, 'ETV', 'mms://streaming.e-tv.it/etvsatellite'],
            ['80', co.it_IT, 'Idea TV', 'mms://streaming1.bsnewline.com/ideatv'],
            ['80', co.it_IT, 'LA8 Romagna', 'mms://iptv.telecard.it/LA8ER_LQ'],
            ['80', co.it_IT, 'Piu Blu', 'mms://151.1.245.65/unitedcom-v'],
            ['80', co.it_IT, 'Primocanale', 'mms://iptv.primocanale.it/diretta'],
            ['80', co.it_IT, 'Rai 3', 'mms://a1509.l6934735508.c69347.e.lm.akamaistream.net/D/1509/69347/v0001/reflector:45832'],
            ['80', co.it_IT, 'TV Oggi', 'http://85.18.170.70:8080'],
            ['80', co.it_IT, 'TRG', 'mms://212.104.10.35/TRG'],
            ['80', co.it_IT, 'Telesud TV', 'http://www.palermoweb.net/videostream/tvnews/tvnews.wmv'],
            ['80', co.it_IT, 'Teleradioerre', 'mms://www.teleradioerre.com/Teleradioerre'],
            ['80', co.it_IT, 'Sport Italia (slow)', 'mms://mms.cdn-tiscali.com/sportitalia'],
            ['80', co.it_IT, 'Sat2000 (Vatican)', 'mms://62.101.89.122/Sat2000'],
            ['80', co.it_IT, 'RTV 38', 'mms://streaming.intoscana.it/wmtencoder/rtv38.wmv'],
            ['80', co.it_IT, 'RTL 102.5 Hit Channel', 'mms://151.1.245.36/rtl102.5vs/'],
            ['80', co.it_IT, 'Retesole Perugia', 'mms://212.48.126.114/retesoleperugia'],
            ['80', co.it_IT, 'GNUfunk Radio', 'http://gnufunk.org/radio/playlist.pls'],
            
            ## France ## 20
            ['80', co.fr_FR, 'Telenight', 'mms://195.95.225.110/telenight'],
            ['80', co.fr_FR, 'nrj Paris', 'mms://vipnrj.yacast.net/nrj_tvparis'],
            ['80', co.fr_FR, 'CityZen TV', 'http://movix.sdv.fr:8086/cityzen.asf'],
            ['80', co.fr_FR, 'France 24 French', 'mms://stream1.france24.yacast.net/f24_livefr'],
            ['80', co.fr_FR, 'France 24 English', 'mms://stream1.france24.yacast.net/f24_liveen'],
            ['80', co.fr_FR, 'France 24 Arabic', 'mms://stream1.france24.yacast.net/f24_livefrda'],
            ['80', co.fr_FR, 'France 2 - La Météo', 'mms://a988.v101995.c10199.e.vm.akamaistream.net/7/988/10199/3f97c7e6/ftvigrp.download.akamai.com/10199/horsgv/regions/siege/france2/meteo/meteo_GT.wmv'],
            ['80', co.fr_FR, 'IDF1', 'mms://live240.impek.com/idf1'],
            ['80', co.fr_FR, 'LaLocale TV', 'mms://stream.lalocale.com/lalocale'],
            ['80', co.fr_FR, 'LCP - Assemblée nationale', 'mms://vipmms9.yacast.net/rcs_lcplive?WMThinning=0'],
            ['80', co.fr_FR, 'MBOA TV', 'mms://88.191.23.167/mboatv'],
            ['80', co.fr_FR, 'Netgaming TV', 'mms://88.191.89.94/netgamingtv'],
            ['80', co.fr_FR, 'Orange Sport', 'mms://livewm.orange.fr/live-multicanaux'],
            ['80', co.fr_FR, 'Tele Night', 'mms://195.95.225.110/telenight'],
            ['80', co.fr_FR, 'TLM', 'mms://91.121.38.105/tlm'],
            ['80', co.fr_FR, 'TSF Network', 'mms://stream.tvsf.fr/live'],
            ['80', co.fr_FR, 'TV Grenoble', 'http://movix.sdv.fr:8084/teleg1.asf'],
            ['80', co.fr_FR, 'TV8 Moselle-Est', 'mms://live.tv8.fr/tv'],
            ['80', co.fr_FR, 'WEO TV', 'mms://91.121.188.214/weopub'],
            ['80', co.fr_FR, 'FR BFM TV EN DIRECT', 'mms://vipmms9.yacast.net/bfm_bfmtv'],
            
            ## Argentina ## 18
            ['75', co.ar_AR, 'Canal 7', 'mms://canal7envivo.telecomdatacenter.com.ar/canal7envivo'],
            ['75', co.ar_AR, 'Arco Iris TV', 'mms://streaming3.arcoiris.tv/vive-adsl'],
            ['76', co.ar_AR, 'Canal 11 - Paraná', 'mms://stream01.siglocero.net/canal11parana'],
            ['76', co.ar_AR, 'Canal 26', 'mms://200.115.194.1/Canal26?MSWMExt=.asf'],
            # http://200.115.194.1:8080/Canal26 
            ['77', co.ar_AR, 'Canal 13 - Vivo', 'mms://canal13.uigc.net/canal13vivo'],
            ['77', co.ar_AR, 'Canal 13 - Buenos Aires', 'http://www.telediariodigital.com.ar/video_/td.wmv'],
            # http://200.69.143.214/video_/td.wmv
            ['78', co.ar_AR, 'Canal Luz Satelite', 'mms://canalluz.telecomdatacenter.com.ar/canalluz/'],
            ['78', co.ar_AR, 'Plan Dj', 'mms://74.208.78.187/nuevaimagen'],
            ['78', co.ar_AR, 'TN Television', 'mms://streamtn.uigc.net/TN'],
            ['78', co.ar_AR, 'La Red', 'mms://stream1.interrogacaodigital.net/tucumantv2'],
            ['78', co.ar_AR, 'Canal 5 Tucuman', 'mms://lared.wms.sinectis.com.ar/laredam910'],
            ['78', co.ar_AR, '89.1 Radio Mix', 'http://wmserver2.aginet.com.ar/FMPALERMO3'],
            ['78', co.ar_AR, '97.5 Vale', 'http://200.43.193.143/vale/.wma'],
            ['78', co.ar_AR, '98.3 La Mega', 'http://mega.telecomdatacenter.com.ar/mega/.wma'],
            ['78', co.ar_AR, '99.5 Radio Palermo', 'http://wmserver3.aginet.com.ar/FMPALERMO1/.wma'],
            ['78', co.ar_AR, '101.5 Pop', 'http://pop.telecomdatacenter.com.ar/pop/.wma'],
            ['78', co.ar_AR, '103.7 Amadeus', 'http://amadeus.telecomdatacenter.com.ar/amadeus/.wma'],
            ['78', co.ar_AR, '105.5 FM Hit', 'http://66.175.96.10/ARLOS40P/.wma'],
   
            ## Turkey ## 12
            ['80', co.tr_TR, 'Çay', 'mms://84.16.227.87/CayTv'],
            ['80', co.tr_TR, 'Expo channel', 'mms://yayin.canlitv.com/expochannel'],
            ['80', co.tr_TR, 'Guney TV', 'mms://yayin.canlitv.com/guneytv/guneytv.asf'],
            ['80', co.tr_TR, 'Kanal 15', 'mms://193.200.241.14/HResid'],
            ['80', co.tr_TR, 'Kanal 48', 'mms://yayin.canlitv.com/kanal48'],
            ['80', co.tr_TR, 'Kirsehir TV', 'mms://94.75.240.129/kirsehirtv'],
            ['80', co.tr_TR, 'M44 TV Malatya', 'mms://70.86.151.230/MalatyaInternetTv'],
            ['80', co.tr_TR, 'Olay TV', 'mms://yayin.canlitv.com/olaytv'],
            ['80', co.tr_TR, 'Oncu RTV', 'mms://yayin.canlitv.com/oncurtv'],
            ['80', co.tr_TR, 'TRT1', 'mms://212.156.63.102/TV1'],
            ['80', co.tr_TR, 'TV41', 'mms://yayin.canlitv.com/tv41'],
            ['80', co.tr_TR, 'YOL', 'mms://85.214.55.224/yol'],
            
            ## China ## 11
            ['80', co.cn_CN, 'CCTV 9', 'mms://72.166.136.132/cctv9-300'], # Central China TV
            ['80', co.cn_CN, 'CSPN Sports', 'mms://58.48.156.93/hubeitiyu'],
            ['80', co.cn_CN, 'LSTV 1', 'mms://202.96.114.251/lstv'],
            ['80', co.cn_CN, 'NC News', 'mms://live2.ncnews.com.cn/sjb?userid=guest&token=7b4821c3f9ae818c3964a687a62773a2'],
            ['80', co.cn_CN, 'Shanghai PanCam', 'mms://www.onedir.com/cam3'],
            ['80', co.cn_CN, 'Shanghai Huang Pu River Cam', 'mms://www.onedir.com/cam1'],
            ['80', co.cn_CN, 'SUN TV', 'mms://211.157.10.21/suntvlive'],
            ['80', co.cn_CN, 'Weather China', 'mms://hainan.weathercn.com/qx'],
            ['80', co.cn_CN, 'XZTV 1)', 'mms://218.3.205.21/xwzhpd'],
            ['80', co.cn_CN, 'XZTV 2', 'mms://218.3.205.21/jjshpd'],
            ['80', co.cn_CN, 'XZTV 3', 'mms://218.3.205.21/shzfpd'],
                
            ## Thailand ## 9
            ['80', co.th_TH, 'Thai Tv', 'mms://broadcast.manager.co.th/11news1'],
            # mms://broadcast.manager.co.th/11news1?wmcontentbitrate=120000
            ['80', co.th_TH, 'X??', 'mms://video.tv5.co.th/live'],
            ['80', co.th_TH, 'X2??', 'mms://202.142.200.130/tv9?WMcontentBitrate=256000'],
            ['80', co.th_TH, 'ASTV2 - Toc', 'mms://broadcast.manager.co.th/toc'],
            ['80', co.th_TH, 'Kimeng', 'mms://202.57.163.14/kimeng1'],
            ['80', co.th_TH, 'Faikham TV', 'mms://media.ru.ac.th/Faikham_TV'],
            ['80', co.th_TH, 'Koh Samui Cam', 'mms://wms.th66.com/Livecam218'],
            ['80', co.th_TH, 'MVTV My', 'mms://61.19.248.196/mvtv_8?WMContentBitrate=256000'],
            ['80', co.th_TH, 'Siam Sport', 'mms://58.147.79.136/siamsport'],

            ## Poland ## 7
            ['80', co.pl_PL, 'TVFLY RAP', 'mms://tvfly.server-tv.com/TVFLY/?MSWMExt=.asf'],
            ['80', co.pl_PL, 'iTV', 'mms://stream.mni.pl/ITV'],
            ['80', co.pl_PL, 'Toya TV', 'mms://217.113.224.22/TVToya'],
            ['80', co.pl_PL, 'TV Trwam', 'mms://195.94.205.211/Trwam'],
            ['80', co.pl_PL, 'TVFLY', 'mms://tvfly.server-tv.com/TVFLY'],
            ['80', co.pl_PL, 'Wapster TV', 'mms://nadajnik.wapster.pl/wapstertv'],
            ['80', co.pl_PL, 'Kiss TV', 'mms://ml2.gazeta.pl/kiss_tv'],
            
            ## Russia ## 6
            ['79', co.ru_RU, 'РБК tv', 'mms://tv.gldn.net/rbc'],
            ['80', co.ru_RU, 'Eurosport News', 'mms://stream02.rambler.ru/eurosport'],
            ['80', co.ru_RU, 'City FM', 'mms://87.242.72.62/cityvideo'],
            ['80', co.ru_RU, 'CNL [Siberia]', 'mms://live.cnl.tv/cnl-sib'],
            ['80', co.ru_RU, 'MIR TV', 'mms://213.232.226.11/MIRTV_300'],
            ['80', co.ru_RU, 'TBN', 'mms://mms.rrsat-internet.tv/tbn'],
            
            ## South Korea ## 5
            ['80', co.kr_KR, 'CGN TV', 'mms://cdn7.cgntv.net/live200'], 
            ['80', co.kr_KR, 'C3TV', 'mms://211.63.212.50/live'],
            ['80', co.kr_KR, 'CBS', 'mms://vod2.cbs.co.kr/cbs_tv_live34'],
            ['80', co.kr_KR, 'CTS', 'mms://222.122.78.81/LIVE'],
            ['80', co.kr_KR, 'MBN Dream', 'mms://mbnlive.hanafoslive.com/mkimbn200'],
            
            ## Austria ## 5
            ['80', co.at_AT, 'Burgenland TV', 'mms://83.142.83.22/bgld'],
            ['80', co.at_AT, 'Mittelburgenland TV', 'mms://83.142.83.22/bgld_m'],
            ['80', co.at_AT, 'Nordburgenland TV', 'mms://83.142.83.22/bgld_n'],
            ['80', co.at_AT, 'Paznaun skicenter Cam', 'mms://streamnt02.highway.telekom.at/panorama_see_adsl'],
            ['80', co.at_AT, 'Radio Noe Cam', 'mms://radio-noe.streaming.kabsi.at/radio_noe_cam'],
            
            ## Germany ## 4
            ['80', co.de_DE, 'VFO', 'http://members.inext.at/vof-tv/vof-tv/tv.wmv'],
            ['80', co.de_DE, 'Stuttgart Cam', 'mms://81.169.180.142/Stream-Stuttgart-9F4gS329'],
            ['80', co.de_DE, 'Rheinmain TV', 'mms://rheinmaintv-livestream.de/rmtv-livestream'],
            ['80', co.de_DE, 'WORM TV', 'mms://wms.global-streaming.net/04988'],
            
            ## Mexico ## 3
            ['80', co.mx_MX, 'Canal 53 UNAL', 'mms://148.234.13.58/canal53bandaancha'],
            ['80', co.mx_MX, 'Grupo FM TV', 'mms://70.85.59.52/grupofm'],
            ['80', co.mx_MX, '95.1 LATINO VIBE (REGGAETON)', 'http://95latinovibe.clients.brians.com:8000/951latinovibe.mp3'],

            ## Venezuela ## 3
            ['80', co.ve_VE, 'Promar TV', 'mms://corpoweb.interrogacaodigital.net/corpoweb'],
            ['80', co.ve_VE, 'VIVE TV', 'mms://streaming3.arcoiris.tv/vive-adsl'],
            ['80', co.ve_VE, 'Whitezoom', 'mms://s10.a1network.us/wzc'],

            ## Greece ## 3
            ['80', co.gr_GR, 'Achaia News', 'mms://174.36.42.85/achaiatv1'],
            ['80', co.gr_GR, 'Sport TV', 'mms://broadcast.hol.gr/tvmagic'],
            ['80', co.gr_GR, 'West Channel', 'mms://216.66.84.2/584932'],

            ## Hungary ## 3
            ['80', co.hu_HU, 'Budapest 13', 'mms://media.bp13.hu/TV13'],
            ['80', co.hu_HU, 'Digi TV', 'http://193.110.59.95:8080'],
            ['80', co.hu_HU, 'Supra TV', 'mms://stream01.gtk.hu/Supra_boglar_tv'],

            ## Portugal ## 3
            ['80', co.pt_PT, 'Guimaraes TV', 'mms://espalhabrasas.sapo.pt/guimaraestv'],
            ['80', co.pt_PT, 'Minho Actual TV', 'mms://espalhabrasas.sapo.pt/minhoactualtv'],
            ['80', co.pt_PT, 'TV Net', 'mms://espalhabrasas.sapo.pt/tvnet'],
            
            ## Iraq ## 3
            ['80', co.iq_IQ, 'Turkmeneli TV', 'mms://94.75.240.129/turkmenelitv'],
            ['80', co.iq_IQ, 'Zagros TV', 'mms://live.zagrostv.com/zag'], # Kurdistan/Iraq
            ['80', co.iq_IQ, 'Kurdistan TV', 'mms://81.26.218.82/kurdistantv?wmbitrate=291000'], # Kurdistan
            
            ## Vietnam ## 2
            ['80', co.vn_VN, 'THVL', 'mms://123.30.108.77/THVL1'],
            ['80', co.vn_VN, 'Vietnamnet TV', 'mms://tv.vietnamnet.vn/live'],
            
            ## Congo ## 2
            ['80', co.cg_CG, 'BRN TV', 'mms://almadina.tv.ly/live'],
            ['80', co.cg_CG, 'Congo Planet', 'mms://congoplanet.com/Congo_Planet_TV'],
            
            ## Cuba ## 2
            ['80', co.cu_CU, 'TV Martí', 'mms://a165.1211035484.c2110.g.lm.akamaistream.net/D/165/2110/v0001/reflector:35484'],
            ['80', co.cu_CU, 'Cubavision', 'mms://200.55.129.7:80/Tvcubana/Tvcubana.asx'],
            
            ## Bosnia and Herzegovina ## 2
            ['80', co.ba_BA, 'TV Slon', 'mms://media.bih.net.ba/radioslon1'],
            ['80', co.ba_BA, 'Valentino BH OTV', 'mms://77.74.231.12/web2'],
            
            ## Romania ## 2
            ['80', co.ro_RO, 'Alfa Omega Movies', 'mms://ns.alfanet.ro/live'],
            ['80', co.ro_RO, 'Crestin TV', 'mms://ns.alfanet.ro/CrestinTv'],
            
            ## Albania ## 2
            ['80', co.al_AL, 'Vizion Plus', 'http://www.vizionplus.tv/foto/lajme.wmv'],
            ['80', co.al_AL, 'Albanian TV of Michigan', 'mms://live.upstreamnetworks.com/19514-47599'],
            
            ## Switzerland ## 2
            ['80', co.ch_CH, 'Tele M1', 'mms://wms01.agglo.ch/m1-live'],
            ['80', co.ch_CH, 'Tele Tell', 'mms://wms01.agglo.ch/tell-live'],
            
            ## Chile ## 2
            ['80', co.cl_CL, 'Canal 13', 'http://streaming.entelchile.net/canal13'],
            ['80', co.cl_CL, 'Canal 54', 'http://streaming.entelchile.net/canal54'],
            
            ## Sweden ## 2
            ['80', co.se_SE, 'DKNET', 'mms://wm-live.crossnet.net/dknettv'],
            ['80', co.se_SE, 'Kanal 10', 'mms://wm-live.crossnet.net/kanal10'],
            
            ## Dominican Republic ## 2
            ['80', co.do_DO, 'Digital 15', 'mms://66.128.53.146/DIGITAL15'],
            ['80', co.do_DO, 'TeleMicro', 'mms://66.128.53.146/TELEMICRO'],
            
            ## Belgium ## 2
            ['80', co.be_BE, 'RTC Tele Liege', 'http://video.rtc.be/jt_du_jour.wmv'],
            ['80', co.be_BE, 'RTV', 'http://www.rtv-media.be/nieuws/nieuwskempen.wmv'],

            ## Netherlands ## 2
            ['80', co.nl_NL, 'Graafschap TV', 'mms://graafschaptv.streamonline.nl/graafschaptv'],
            ['80', co.nl_NL, 'NOS Journaal 24', 'mms://livemedia2.omroep.nl/nos_journaal24-bb'],
            
            ## Canada ## 1
            ['80', co.ca_CA, 'The Shopping Channel', 'mms://38.99.151.49/shop2/tsc.asx'],

            ## Slovenia ## 1
            ['80', co.si_SI, 'Paprika TV', 'mms://wmedia.siol.net/paprika/live'],
            
            ## Egypt ## 1
            ['80', co.eg_EG, 'Sat 7 Kids', 'mms://energy10.egihosting.com/859238'], 
            
            ## Norway ## 1
            ['80', co.no_NO, 'NRK 2 TV', 'mms://mms-icanal-live.online.no/nrk_tv_webvid04_h'],
            
            ## Libya ## 1
            ['80', co.li_LY, 'Al Madina', 'mms://almadina.tv.ly/live'],
            
            ## South Africa ## 1
            ['80', co.za_ZA, 'Divine Truth', 'mms://78.129.146.199/divinetruth'], 
            
            ## India ## 1
            ['80', co.in_IN, 'IBN Lokmat', 'mms://a990.l4028444989.c40284.a.lm.akamaistream.net/D/990/40284/v0001/reflector:44989'],

            ## Iran ## 1
            ['80', co.ir_IR, 'Press TV English', 'mms://wms.edgecastcdn.net/200216/ipresstv'],
            
            ## Japan ## 1
            ['80', co.jp_JP, 'POD TV', 'mms://dca.live.pod.tv/tandm56-2'],
           
            ## Antigua and Barbuda ## 1
            ['80', co.ag_AG, 'ABS', 'mms://winmedia.act2000.net/abstv'],
            
            ## Andorra ## 1
            ['80', co.ad_AD, 'ATV', 'mms://194.158.91.91/Atv'],

            ## Belize ## 1
            ['80', co.bz_BZ, '7 News', 'mms://200.32.198.90/7news'],
            
            ## El salvador ## 1
            ['80', co.sv_SV, 'Canal 21', 'mms://livetv2.siscompnetwork.com/canal21'],
             
            ## Bolivia ## 1
            ['80', co.bo_BO, 'Redadvenir', 'mms://eleden.com/redadvenir'],
            
            ## Colombia ## 1
            ['80', co.co_CO, 'Teleantioquia', 'mms://200.12.176.10/comunicacionpolitica/cienciaspoliticas21abr2009.wmv'],
            
            ## Luxemburgo ## 1
            ['80', co.lu_LU, 'RTL', 'mms://streaming.newmedia.lu/telehighres'],
            
            ## Malta ## 1
            ['80', co.mt_MT, 'Smash Tv', 'mms://stream01.nextweb.net.mt/SmashTV'],
           
            ## Kuwait ## 1
            ['80', co.kw_KW, 'Al Watan Plus', 'mms://stream8.netro.ca/watantv/watanplus'],
           
            ## Qatar ## 1
            ['80', co.qa_QA, 'Al-Hekmah', 'mms://alhekmah.tv/live'],
           
            ## Lebanon ## 1
            ['80', co.lb_LB, 'Al-Manar TV', 'mms://209.172.60.145/live'],
            
            ## Pakistan ## 1
            ['80', co.pk_PK, 'Express News', 'mms://ams01.egihosting.com/ExpressEnglish'],
            
            ## Jordan ## 1
            ['80', co.jo_JO, 'Jordan TV', 'mms://stream.jrtv.jo/jrtv'],
            
            ## Israel ## 1
            ['80', co.il_IL, 'Radios 100 Cam', 'mms://213.8.193.29/100fmcam'],

            ## Armenia ## 1
            ['80', co.am_AM, 'Amga TV', 'mms://74.208.15.132/Amga'],
            
            ## Kazakhstan ## 1
            ['80', co.kz_KZ, 'CNL Siberia', 'mms://live.cnl.tv/cnl-sib'],
            
            ## Czech Republic ## 1
            ['80', co.cz_CZ, 'HDTV1', 'mms://server3.streaming.cesnet.cz/hdtv1?WMThinning=0&MSWMExt=.asf'],
            
            ## Bulgaria ## 1
            ['80', co.bg_BG, 'Hip Hop TV', 'mms://84.22.1.210/hiphoptv'],
            
            ## Azerbaijan ## 1
            ['80', co.az_AZ, 'Lider TV', 'mms://85.132.50.243/Lider_Online'],
            
            ## Latvia ## 1
            ['80', co.lv_LV, 'LZK News', 'mms://stream.grafton.lv/live_lzk_lo'], # lativa?

            ## Estonia ## 1
            ['80', co.ee_EE, 'Ring FM Cam', 'mms://wms5.neti.tv/ringfm'],
            
            ## Australia ## 1
            ['80', co.au_AU, 'ABC Kids', 'mms://media4.abc.net.au/broadbandkids/20070521_1500/story1hi.wmv'],

            # ADD YOUR OWN CHANNELS HERE! (FOR NOW)
          ]